import 'package:xanno/src/anno/utils/base.dart';

class GColor extends GBase {
  ///是否生成color_util.dart工具类
  final bool enable;

  ///lib/common/color_constant.color.dart
  final String dir;
  final String name;

  ///自动收集项目所有color定义，统一管理
  ///第一次会自动生成文件，之后会读取生成的文件做update
  const GColor(
      {this.enable = true,
      this.dir = 'lib/common',
      this.name = 'color_constant'})
      : super(dir: dir, name: name, suffix: '.color.dart');
}
