// ignore_for_file: directives_ordering
// ignore: import_of_legacy_library_into_null_safe
import 'package:build_runner_core/build_runner_core.dart' as _i1;
import 'package:source_gen/builder.dart' as _i2;
import 'package:xanno/src/anno/project/generator.dart' as _i3;
import 'package:xanno/src/anno/api/generator.dart' as _i4;
import 'package:xanno/src/anno/assets/generator.dart' as _i5;
import 'package:xanno/src/anno/iconfont/generator.dart' as _i6;
import 'package:xanno/src/anno/route/generator.dart' as _i7;
import 'package:xanno/src/anno/entity/generator.dart' as _i8;
import 'package:xanno/src/anno/http/generator.dart' as _i9;
import 'package:xanno/src/anno/formatter/generator.dart' as _i10;
import 'package:xanno/src/anno/color/generator.dart' as _i11;
import 'package:xanno/src/anno/size/generator.dart' as _i12;
import 'dart:isolate' as _i13;
// ignore: import_of_legacy_library_into_null_safe
import 'package:build_runner/build_runner.dart' as _i14;
import 'dart:io' as _i15;

final _builders = <_i1.BuilderApplication>[
  _i1.apply(r'source_gen:combining_builder', [_i2.combiningBuilder],
      _i1.toNoneByDefault(),
      hideOutput: false, appliesBuilders: const [r'source_gen:part_cleanup']),
  _i1.apply(r'xanno:projectBuilder', [_i3.projectBuilder], _i1.toAllPackages(),
      hideOutput: false, appliesBuilders: const [r'xanno:apiBuilder']),
  _i1.apply(r'xanno:apiBuilder', [_i4.apiBuilder], _i1.toAllPackages(),
      hideOutput: false, appliesBuilders: const [r'xanno:assetsBuilder']),
  _i1.apply(r'xanno:assetsBuilder', [_i5.assetsBuilder], _i1.toAllPackages(),
      hideOutput: false, appliesBuilders: const [r'xanno:iconfontBuilder']),
  _i1.apply(
      r'xanno:iconfontBuilder', [_i6.iconfontBuilder], _i1.toAllPackages(),
      hideOutput: false, appliesBuilders: const [r'xanno:routeBuilder']),
  _i1.apply(r'xanno:routeBuilder', [_i7.routeBuilder], _i1.toAllPackages(),
      hideOutput: false, appliesBuilders: const [r'xanno:entityBuilder']),
  _i1.apply(r'xanno:entityBuilder', [_i8.entityBuilder], _i1.toAllPackages(),
      hideOutput: false,
      appliesBuilders: const [r'xanno:httpInterfaceBuilder']),
  _i1.apply(r'xanno:httpInterfaceBuilder', [_i9.httpInterfaceBuilder],
      _i1.toAllPackages(),
      hideOutput: false, appliesBuilders: const [r'xanno:formatterBuilder']),
  _i1.apply(
      r'xanno:formatterBuilder', [_i10.formatterBuilder], _i1.toAllPackages(),
      hideOutput: false, appliesBuilders: const [r'xanno:colorBuilder']),
  _i1.apply(r'xanno:colorBuilder', [_i11.colorBuilder], _i1.toAllPackages(),
      hideOutput: false, appliesBuilders: const [r'xanno:sizeBuilder']),
  _i1.apply(r'xanno:sizeBuilder', [_i12.sizeBuilder], _i1.toAllPackages(),
      hideOutput: false),
  _i1.applyPostProcess(r'source_gen:part_cleanup', _i2.partCleanup)
];
void main(List<String> args, [_i13.SendPort? sendPort]) async {
  var result = await _i14.run(args, _builders);
  sendPort?.send(result);
  _i15.exitCode = result;
}
