import 'package:xanno/src/anno/utils/base.dart';

class GIconfont extends GBase {
  ///iconfont js url (https://at.alicdn.com/t/font_1815425_08ebztcsym64.js)
  final String url;

  /// 默认前缀 icon-
  final String prefix;

  final bool enable;

  ///lib/widget/icon_font.iconfont.dart
  final String dir;
  final String name;

  const GIconfont(
      {required this.url,
      this.prefix = 'icon-',
      this.enable = true,
      this.dir = 'lib/widget',
      this.name = 'icon_font'})
      : super(dir: dir, name: name, suffix: '.iconfont.dart');
}
