import 'package:xanno/src/anno/utils/base.dart';

class GProject extends GBase {
  final bool enable;

  /// ```dart
  /// enable 是否启用初始化基础工程
  ///
  /// yaml dev 配置:
  /// dev_dependencies:
  ///   source_gen: ^1.2.1
  ///   build_runner: ^2.1.8
  ///   intl_utils: ^2.6.1
  ///   xanno: ^0.0.8
  ///
  /// 项目根目录执行命令:
  /// flutter pub get && flutter packages pub run build_runner clean && flutter packages pub run build_runner build && flutter pub get
  ///
  /// 之后只需执行 make build
  /// ```
  const GProject({this.enable = true}) : super();
}
